%define url_ver	%(echo %{version}|cut -d. -f1,2)
%define _requires_exceptions python-gi

Name:           pyatspi
Version:        2.10.0
Release:        %mkrel 2
Summary:        Python bindings for at-spi
Group:          Development/Python
License:        LGPLv2 and GPLv2
URL:            http://www.linuxfoundation.org/en/AT-SPI_on_D-Bus
Source0:        https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildArch:	noarch
BuildRequires:  python
BuildRequires:	python3
BuildRequires:  pkgconfig(pygobject-3.0) >= 2.90.1
Requires:	python-dbus
Requires:	python-gi

%description
at-spi allows assistive technologies to access GTK-based
applications. Essentially it exposes the internals of applications for
automation, so tools such as screen readers, magnifiers, or even
scripting interfaces can query and interact with GUI controls.

This version of at-spi is a major break from previous versions.
It has been completely rewritten to use D-Bus rather than
ORBIT / CORBA for its transport protocol.

This package includes a python client library for at-spi.

%package -n python3-%{name}
Summary:	Python bindings for at-spi
Group:		Development/Python
Requires:	python3-dbus
Requires:	python3-gobject3

%description -n python3-%{name}
at-spi allows assistive technologies to access GTK-based
applications. Essentially it exposes the internals of applications for
automation, so tools such as screen readers, magnifiers, or even
scripting interfaces can query and interact with GUI controls.

This version of at-spi is a major break from previous versions.
It has been completely rewritten to use D-Bus rather than
ORBIT / CORBA for its transport protocol.

This package includes a python client library for at-spi.

%prep
%setup -q

%build
mkdir python2
pushd python2
export PYTHON=%{__python}
CONFIGURE_TOP=.. %configure2_5x --build=%{_build}
%make
popd

mkdir python3
pushd python3
export PYTHON=%{__python3}
CONFIGURE_TOP=.. %configure2_5x --build=%{_build}
%make
popd

%install
%makeinstall_std -C python2
%makeinstall_std -C python3

%files
%doc COPYING COPYING.GPL AUTHORS README
%{py_puresitedir}/pyatspi

%files -n python3-%{name}
%{py3_puresitedir}/pyatspi


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 2.10.0-2.mga4
+ Revision: 536531
- Mageia 4 Mass Rebuild

* Tue Sep 24 2013 ovitters <ovitters> 2.10.0-1.mga4
+ Revision: 484609
- new version 2.10.0

* Tue Sep 17 2013 ovitters <ovitters> 2.9.92-1.mga4
+ Revision: 480454
- new version 2.9.92

* Tue Aug 20 2013 ovitters <ovitters> 2.9.90-1.mga4
+ Revision: 468360
- new version 2.9.90

* Sun Jul 28 2013 dams <dams> 2.9.3-1.mga4
+ Revision: 459240
- new version 2.9.3

* Sun Jun 30 2013 fwang <fwang> 2.8.0-3.mga4
+ Revision: 448516
- filter python-gi

* Sun Jun 30 2013 fwang <fwang> 2.8.0-2.mga4
+ Revision: 448512
- requires py3dbus
- add py3 flavour

* Sat May 25 2013 ovitters <ovitters> 2.8.0-1.mga4
+ Revision: 427367
- update file list
- new version 2.8.0

* Sun Jan 13 2013 umeabot <umeabot> 2.6.0-2.mga3
+ Revision: 378384
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Sep 25 2012 fwang <fwang> 2.6.0-1.mga3
+ Revision: 297368
- update file list
- update file list

  + ovitters <ovitters>
    - new version 2.6.0

* Tue Sep 18 2012 fwang <fwang> 2.5.92-1.mga3
+ Revision: 295804
- update file list

  + ovitters <ovitters>
    - new version 2.5.92

* Tue Sep 04 2012 ovitters <ovitters> 2.5.91-1.mga3
+ Revision: 287812
- new version 2.5.91

* Mon Aug 06 2012 ovitters <ovitters> 2.5.5-1.mga3
+ Revision: 279560
- new version 2.5.5

* Mon Jul 16 2012 ovitters <ovitters> 2.5.4-1.mga3
+ Revision: 271584
- new version 2.5.4

* Fri Jul 06 2012 fwang <fwang> 2.5.3-1.mga3
+ Revision: 268379
- new version 2.5.3

* Mon Mar 26 2012 ovitters <ovitters> 2.4.0-1.mga2
+ Revision: 226985
- new version 2.4.0
- new version 2.3.92

* Tue Mar 06 2012 fwang <fwang> 2.3.91-1.mga2
+ Revision: 219616
- new version 2.3.91

* Tue Feb 07 2012 fwang <fwang> 2.3.5-1.mga2
+ Revision: 205825
- new versiono 2.3.5

* Tue Jan 17 2012 fwang <fwang> 2.3.4-2.mga2
+ Revision: 197256
- refresh requires

* Mon Jan 16 2012 fwang <fwang> 2.3.4-1.mga2
+ Revision: 196791
- new version 2.3.4

* Tue Oct 18 2011 wally <wally> 2.2.1-1.mga2
+ Revision: 156079
- new version 2.2.1

* Tue Sep 27 2011 ovitters <ovitters> 2.2.0-1.mga2
+ Revision: 149127
- new version 2.2.0

* Mon Sep 26 2011 wally <wally> 2.1.91-2.mga2
+ Revision: 148908
- fix requires

* Thu Sep 22 2011 ovitters <ovitters> 2.1.91-1.mga2
+ Revision: 146890
- imported package pyatspi

